<bugID>1240892<Summary>Disable default-app hash setting</Summary><Description>In bug 1184508, we implemented the ability to restore a previously-cached default application registry key hash. This allows a user to make Firefox their default browser again, without going through the default Windows 10 default-app selection UI (which we know causes lots of user confusion, resulting in users being unable to figure out how to make Firefox the default). We only do this after prompting the user if they want to make Firefox their default browser.

Microsoft has informed us that they plan to remove this capability, such that apps will no longer be able to restore a previous user choice this way. So we should remove/disable this code, since it will no longer work. (AIUI they will do this by make writing to the relevant registry key fail.)

For potential late-landing in Firefox 44 (in RC, about to ship next week) I'd like to do an absolutely safe/minimal patch. Probably just have RestoreWin8RegistryHashes() immediately fail? This should already be handled, and fallback to the normal Windows 10 app-defaults UI. In 45+ we can do a deeper code removal/cleanup.</Description></bugID>